API ReferenceAccount users

Update account user

Update a user's settings in the specified account.

PATCH
/v1/users/{user_id}

Authorization

authorization
AuthorizationBearer <token>

In: header

Path Parameters

user_id*string

The user's unique identifier

Match^user_\w{12}$

Request Body

application/json

User update details

TypeScript Definitions

Use the request body type in TypeScript.

Request schema for updating a user in an account

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/users/user_abcdef123456" \  -H "Content-Type: application/json" \  -d '{    "email": "john.doe@example.com",    "first_name": "John",    "last_name": "Doe",    "passive": true,    "role_ids": [      "role_abc123def456"    ],    "time_zone": "America/Chicago"  }'
{  "object": "account_user",  "passive": false,  "roles": [    {      "denied_permissions": [        "appointments.own.cancel",        "appointments.own.reschedule"      ],      "id": "role_123456789012",      "name": "Staff",      "object": "role",      "permissions": [        "accounts.view",        "appointments.own.*",        "blocks.*",        "booking_intents.*",        "clients.*",        "integrations.own.*",        "providers.own.view",        "providers.own.update"      ],      "type": "staff"    }  ],  "user": {    "created_at": "2025-03-15T13:01:08Z",    "email": "avery@tendermedical.com",    "first_name": "Avery",    "id": "user_d025a96ac0c6",    "last_name": "Evans",    "object": "user",    "updated_at": "2025-03-15T13:01:08Z"  }}